# Class TimePlotType

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.TimePlotType

All Implemented Interfaces:
  `PlotType<TimeSurfaceFactory.Profile, TimeAspect>`

public class TimePlotType extends Object implements PlotType<TimeSurfaceFactory.Profile, TimeAspect>
Defines the characteristics of a 2-d plot with a horizontal time axis.

This is a singleton class, see `getInstance()`.

Since:
  15 Aug 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`GangerFactory<TimeSurfaceFactory.Profile, TimeAspect>`
`getGangerFactory()`
Returns the object that controls how multi-zone plots are arranged.
`static TimePlotType`
`getInstance()`
Returns the sole instance of this class.
`PaperTypeSelector`
`getPaperTypeSelector()`
Returns an object which can provide graphics rendering functionality based on the required plot layers for this plot type.
`Plotter<?>[]`
`getPlotters()`
Returns a list of plotters that can be used to paint data on the surface.
`DataGeom[]`
`getPointDataGeoms()`
Returns a list of one or more geometry variants which describe how user-supplied point coordinates map to the data space.
`SurfaceFactory<TimeSurfaceFactory.Profile, TimeAspect>`
`getSurfaceFactory()`
Returns an object that can construct the plot surface including axis painting and geometry information.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getPointDataGeoms

public DataGeom[] getPointDataGeoms()
Description copied from interface: `PlotType`
Returns a list of one or more geometry variants which describe how user-supplied point coordinates map to the data space. If multiple values are returned, the first one may be used as some kind of default.

Specified by:
  `getPointDataGeoms` in interface `PlotType<TimeSurfaceFactory.Profile, TimeAspect>`
Returns:
  data geom option list

### getPlotters

public Plotter<?>[] getPlotters()
Description copied from interface: `PlotType`
Returns a list of plotters that can be used to paint data on the surface.

Specified by:
  `getPlotters` in interface `PlotType<TimeSurfaceFactory.Profile, TimeAspect>`
Returns:
  plotter list

### getSurfaceFactory

public SurfaceFactory<TimeSurfaceFactory.Profile, TimeAspect> getSurfaceFactory()
Description copied from interface: `PlotType`
Returns an object that can construct the plot surface including axis painting and geometry information.

Specified by:
  `getSurfaceFactory` in interface `PlotType<TimeSurfaceFactory.Profile, TimeAspect>`
Returns:
  surface factory

### getGangerFactory

public GangerFactory<TimeSurfaceFactory.Profile, TimeAspect> getGangerFactory()
Description copied from interface: `PlotType`
Returns the object that controls how multi-zone plots are arranged.

Specified by:
  `getGangerFactory` in interface `PlotType<TimeSurfaceFactory.Profile, TimeAspect>`
Returns:
  ganger factory

### getPaperTypeSelector

public PaperTypeSelector getPaperTypeSelector()
Description copied from interface: `PlotType`
Returns an object which can provide graphics rendering functionality based on the required plot layers for this plot type.

Specified by:
  `getPaperTypeSelector` in interface `PlotType<TimeSurfaceFactory.Profile, TimeAspect>`
Returns:
  paper type selector

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getInstance

public static TimePlotType getInstance()
Returns the sole instance of this class.

Returns:
  singleton instance